---
- name: Configure firewall on Suse Systems
  block:
    - name: Verify/Install Firewalld package
      ansible.builtin.package:
        name: firewalld
        state: latest

    - name: Enable firewalld service
      ansible.builtin.service:
        name: firewalld.service
        state: started
        enabled: true
      tags:
        - notest
        - molecule-notest

    - name: Open Firewall port for Node Exporter on RHEL systems
      ansible.posix.firewalld:
        zone: public
        port: "{{ grafana['port'] }}/tcp"
        permanent: true
        state: enabled
      notify: Restart Firewalld
      tags:
        - notest
        - molecule-notest
  when:
    - ansible_facts['os_family']|lower == "suse"
    - grafana['firewalled'] == true

